@import '../../styles/--scss-vars.scss';

.artist {
  .inner {
    overflow-x: hidden;
    overflow-y: auto;
    padding: $subdiv $subdiv * 2 0;
    height: $column5 - $spacer4;
    .profile {
      padding: $subdiv * 2 - 2 $subdiv * 2 $subdiv * 2 - 2 $gutter;
      border-bottom: 1px solid $color-w0;
      .about {
        .image-box {
          width: $spacer3;
          height: $spacer3;
          margin: 0 auto $subdiv;
          img {
            width: 100%;
            height: $spacer3;
            object-fit: cover;
            @include border-radius(50%);
          }
        }
        .content-box {
          text-align: center;
          margin-bottom: $baseline - $subdiv;
          .title {
            color: $color-w0;
            font-size: $subdiv * 4;
            font-weight: 700;
          }
          .genre {
            color: $color-w0;
            font-size: $subdiv * 3 - 1;
            font-style: italic;
          }
        }
      }
      .bio {
        .title {
          color: $color-w0;
          font-size: $subdiv * 3;
          font-weight: 700;
          margin-bottom: $subdiv * 2 - 2;
        }
        p {
          color: $color-w0;
          font-size: $subdiv * 2 + 2;
          margin-bottom: 0;
          a {
            font-weight: 700;
          }
        }
      }
    }
    .livecast {
      padding: $subdiv * 2 - 2 $subdiv * 2 $subdiv * 2 $gutter;
      .title {
        color: $color-w0;
        font-size: $subdiv * 3;
        font-weight: 700;
        margin-bottom: $subdiv * 2 - 2;
      }
      .event {
        margin-bottom: $subdiv * 3;
        .dateTime {
          color: $color-w0;
          font-size: $subdiv * 2 + 2;
          margin-bottom: $subdiv;
        }

        .calender {
          .text {
            font-size: calc(var(--subdiv) * 3);
            margin-right: $subdiv * 2;
          }
          .item {
            border: 1px solid $color-w0;
            padding: $subdiv - 2 $subdiv - 1;
            @include border-radius(4px);
            line-height: 1;
            margin-right: $subdiv * 2 - 3;
            cursor: pointer;
            .icon {
              margin-right: $subdiv - 2;
              img {
                vertical-align: -1px;
              }
            }
            .text {
              font-size: $subdiv * 2 + 2;
            }
          }
        }
        &:last-child {
          margin-bottom: 0;
        }
      }
    }
  }
}
